| Param name | Description |
|---|---|
|
id
required |
Promoter ID to update Validations:
|
|
promoter
required |
Promoter attributes to update Validations:
|
|
promoter[name]
optional |
First name Validations:
|
|
promoter[lastname]
optional |
Last name Validations:
|
|
promoter[matriname]
optional |
Second last name Validations:
|
|
promoter[company]
optional |
Whether the promoter is a company Validations:
|
|
promoter[company_name]
optional |
Company name Validations:
|
|
promoter[email]
optional |
Email address Validations:
|
|
promoter[phone_number]
optional |
Phone number Validations:
|
|
promoter[phone_number_extension]
optional |
Phone extension Validations:
|
|
promoter[mobile_number]
optional |
Mobile number Validations:
|
|
promoter[gender]
optional |
Gender Validations:
|
|
promoter[dob]
optional |
Date of birth (YYYY-MM-DD) Validations:
|
|
promoter[nationality]
optional |
Nationality key (e.g. mexican) Validations:
|
|
promoter[tax_number]
optional |
RFC / tax number Validations:
|
|
promoter[base_commission]
optional |
Base commission percentage Validations:
|
|
promoter[country]
optional |
Country code Validations:
|
|
promoter[subsidiary_id]
optional |
Associated subsidiary UUID Validations:
|
|
promoter[is_financial_entity]
optional |
Whether the promoter is a financial entity Validations:
|
# Request body:
{
'promoter': {
'email': 'test.updated@example.com',
'base_commission': '3.0'
}
}
# Response (200 OK): same structure as GET /promoters/:id
| Code | Description |
|---|---|
| 400 | Bad Request |
| 401 | Unauthorized |
| 403 | Forbidden |
| 404 | Not Found |
| 500 | Internal Server Error |